class PasswordBreachAlertGenerator < Rails::Generators::Base
  include Rails::Generators::Migration

  source_root File.expand_path('templates', __dir__)

  def create_breaches_migration
    time_now = Time.current.strftime('%Y%m%d%H%M%S')
    template_name = 'create_breaches'
    migration_file = "#{time_now}_#{template_name}"

    copy_file "#{template_name}.rb", File.join('db', 'migrate', "#{migration_file}.rb")
  end
end
