require 'password_breach_alert/api/base'

module PasswordBreachAlert
  module Api
    class Breach < PasswordBreachAlert::Api::Base
      API_URL = 'https://haveibeenpwned.com/api/v2/breaches'.freeze

      def call
        with_wait do
          JSON.parse(URI.parse(API_URL).open(@request_options).read)
        end
      end
    end
  end
end
