module PasswordBreachAlert
  module BreachesPolicies
    # notify the user with an email if there are any breaches
    class SendDeviseNotification
      def call(user, breaches)
        return if breaches.none?

        user.send(:send_devise_notification, :password_breach_alert, breaches)
      end
    end
  end
end
