# frozen_string_literal: true

require 'devise'

module PwnedPassword
  module Devise
    mattr_accessor :min_password_matches, :min_password_matches_warn, :pwned_password_open_timeout, :pwned_password_read_timeout
    @@min_password_matches = 1
    @@min_password_matches_warn = nil
    @@pwned_password_open_timeout = 5
    @@pwned_password_read_timeout = 5
  end
end
