# -*- encoding: utf-8 -*-
# stub: password_breach_alert 0.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "password_breach_alert".freeze
  s.version = "0.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Uqido/password_breach_alert/issues", "changelog_uri" => "https://github.com/Uqido/password_breach_alert/CHANGELOG.md", "documentation_uri" => "https://github.com/Uqido/password_breach_alert/README.md", "homepage_uri" => "https://github.com/Uqido/password_breach_alert", "source_code_uri" => "https://github.com/Uqido/password_breach_alert", "wiki_uri" => "https://github.com/Uqido/password_breach_alert/wiki" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Carlo Martinucci".freeze]
  s.date = "2019-07-19"
  s.description = "    Password Breach Alert is a Devise extension that adds 1) server-side check of password\n    strength before registration, using a list of common passwords, zxcvbn and haveibeenpwned;\n    2) a way to check users emails against recent verified security breaches, and implement\n    different customized policies.\n".freeze
  s.email = ["carlo.martinucci@gmail.com".freeze]
  s.homepage = "https://github.com/Uqido/password_breach_alert".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Never let a user use a compromised password in your application again!".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<actionmailer>.freeze, ["~> 5.2.2"])
    s.add_runtime_dependency(%q<devise>.freeze, ["~> 4"])
    s.add_runtime_dependency(%q<pwned>.freeze, ["~> 1.2.1"])
    s.add_runtime_dependency(%q<zxcvbn-js>.freeze, ["~> 4.4.1"])
    s.add_development_dependency(%q<letter_opener>.freeze, [">= 0"])
    s.add_development_dependency(%q<overcommit>.freeze, [">= 0"])
    s.add_development_dependency(%q<rails>.freeze, ["~> 5.2.2"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.72"])
    s.add_development_dependency(%q<rubocop-performance>.freeze, [">= 0"])
    s.add_development_dependency(%q<rubocop-rails>.freeze, [">= 0"])
    s.add_development_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_development_dependency(%q<sqlite3>.freeze, [">= 0"])
  else
    s.add_dependency(%q<actionmailer>.freeze, ["~> 5.2.2"])
    s.add_dependency(%q<devise>.freeze, ["~> 4"])
    s.add_dependency(%q<pwned>.freeze, ["~> 1.2.1"])
    s.add_dependency(%q<zxcvbn-js>.freeze, ["~> 4.4.1"])
    s.add_dependency(%q<letter_opener>.freeze, [">= 0"])
    s.add_dependency(%q<overcommit>.freeze, [">= 0"])
    s.add_dependency(%q<rails>.freeze, ["~> 5.2.2"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.72"])
    s.add_dependency(%q<rubocop-performance>.freeze, [">= 0"])
    s.add_dependency(%q<rubocop-rails>.freeze, [">= 0"])
    s.add_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_dependency(%q<sqlite3>.freeze, [">= 0"])
  end
end
