class CreateBreaches < ActiveRecord::Migration[5.2]
  def change
    create_table :breaches do |t|
      t.string :name
      t.string :title
      t.string :domain
      t.datetime :breach_date
      t.datetime :added_date
      t.integer :pwn_count
      t.string :description
      t.string :logo_path
      t.text :data_classes

      t.timestamps
    end

    add_index :breaches, :added_date
  end
end
