module PasswordBreachAlert
  class Engine < ::Rails::Engine
    config.to_prepare do
      Devise.mailer.send :include, PasswordBreachAlert::Mailer
      unless Devise.mailer.ancestors.include?(Devise::Mailers::Helpers)
        Devise.mailer.send :include, Devise::Mailers::Helpers
      end
    end
  end
end
